Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jan 2023 09:12:42 +0200

> From: "H. Dieter Wilhelm" <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
> Date: Sat, 14 Jan 2023 00:33:19 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> +(require 'button)
> >> +(require 'cl-lib)
> >> +(require 'help-mode)                   ;redundant?
> >
> > If this is added to an existing file, there should be a ^L and some
> > heading-style command before it.
> 
> I had a look at the usage of ^L in info.el but I can't discern any rule
> or consistency.  The number of lines between its page delimiters are
> over 900 and below 20.  I assume you want me to use ^L to separate a
> different topic within info.el?

Yes.  This has nothing to do with the size of each topic's code.

> > Can this be rewritten so as to avoid the need for error-prone updates
> > of the sub-expression numbers every time Info-xref-symbol-regexp is
> > modified?
> 
> What do you think about the following approach?

Something like that, yes.  However, ...

> (defcustom info-symbol-context
>   '(( variable . "variable\\|option")
>     ;; defining symbol as variable
>     ( function . "function\\|command\\|call")
>     ;; defining symbol as function
>     ( face . "face")
>     ;; defining symbol as face
>     ( ignore . "symbol\\|program\\|property")
>     ;; ignore symbols following this context type
>     ( definition . "source \\(?:code \\)?\\(?:of\\|for\\)"))
>     ;; function definitions in files
>   "Help."
>   :type 'list
>   :version "30.1"
>   :group 'info)

I'm not sure this should be a defcustom.  Do we really expect users to
want to customize this? for what reason(s)?